# Generated from axtro-aws-ses-0.4.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name axtro-aws-ses

Name: rubygem-%{gem_name}
Version: 0.4.4
Release: 1%{?dist}
Summary: Client library for Amazon's Simple Email Service's REST API
License: MIT
URL: http://github.com/axtro/aws-ses
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda-context)
# BuildRequires: rubygem(jeweler) >= 1.5.2
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
# BuildRequires: rubygem(flexmock) >= 0.8.11
# BuildRequires: rubygem(flexmock) < 0.9
BuildArch: noarch

%description
Client library for Amazon's Simple Email Service's REST API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.erb
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/aws-ses.gemspec
%{gem_instdir}/axtro-aws-ses.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.4.4-1
- Initial package
